textures/ig_portal_a3/sky
{
	qer_editorimage textures/ig_portal_a3/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 50 -50 62 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 40 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/ig_portal_a3/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/ig_portal_a3/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/ig_portal_a3/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}


textures/ig_portal_a3/sh-ladder
{
  qer_trans .75
  qer_editorimage textures/ig_portal_a3/ladder.jpg
  surfaceparm ladder
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm metalsteps
}

textures/ig_portal_a3/sh-nodraw
{
  qer_trans .75
  qer_editorimage textures/ig_portal_a3/nodraw.tga
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
}

textures/ig_portal_a3/sh-glass
{
  qer_editorimage textures/ig_portal_a3/glass.jpg
  surfaceparm nomarks
  surfaceparm trans
  {
    map textures/ig_portal_a3/glass.jpg
    blendfunc add
    rgbGen const ( 0.1 0.1 0.1 )
  }
  {
    map $lightmap 
    blendfunc gl_dst_color gl_src_alpha
    rgbGen identity
    tcGen lightmap 
  }
 	{
		map $whiteimage
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map textures/ig_portal_a3/chrome_metal.jpg
		blendFunc GL_DST_COLOR GL_ONE
		detail
		tcGen environment
	}
}

textures/ig_portal_a3/sh-acid
{
	qer_editorimage textures/pumpstation/wacid02.jpg
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm water
	cull disable
	deformVertexes wave 128 sin 0.25 0.25 0 0.2 
	q3map_surfacelight 1
	q3map_tracelight
	{
		map textures/ig_portal_a3/wacid01.jpg
		blendfunc gl_one_minus_dst_color gl_zero
		tcMod scale -1 -1
		tcMod scroll 0.025 0.025
	}
	{
		map textures/ig_portal_a3/wacid02.jpg
		blendfunc gl_src_color gl_src_color
		tcMod scale 1 1
		tcMod scroll -0.01 0.01
		tcMod turb 0 0.1 0 0.1
		tcMod stretch sin 1 0.02 0 0.1 
		alphaGen lightingSpecular
	}
	{
		map textures/ig_portal_a3/wacid00.jpg
		blendfunc gl_dst_color gl_src_alpha
		rgbGen identity
		tcMod scale 32 32
		tcMod turb 0 0.1 0 0.1
		tcMod scroll -0.01 0.01
		tcMod stretch sin 1 0.02 0 0.1 
		tcGen lightmap 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map $whiteimage
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map textures/ig_portal_a3/fog.jpg
		blendFunc GL_DST_COLOR GL_ONE
		detail
		tcGen environment
	}
}

textures/ig_portal_a3/sh-acid-nodraw
{
	qer_editorimage textures/ig_portal_a3/wacid02.jpg
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm water
	surfaceparm nodraw
}

textures/ig_portal_a3/sh-mtiles
{
	qer_editorimage textures/ig_portal_a3/tiles02.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ig_portal_a3/tiles02.jpg
		blendFunc filter
	}
	{
		map $whiteimage
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map textures/ig_portal_a3/fog.jpg
		blendFunc GL_DST_COLOR GL_ONE
		detail
		tcGen environment
	}
}
